public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrick Lauer" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/elasticsearch/
Date: Fri,  8 Jan 2016 10:35:24 +0000 (UTC)	[thread overview]
Message-ID: <1452249259.f2563ea7df05ddc6042cb613114ee2b5277634dd.patrick@gentoo> (raw)

commit:     f2563ea7df05ddc6042cb613114ee2b5277634dd
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Fri Jan  8 10:33:54 2016 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Fri Jan  8 10:34:19 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f2563ea7

app-misc/elasticsearch: Bump

Package-Manager: portage-2.2.26

 app-misc/elasticsearch/Manifest                   |  1 +
 app-misc/elasticsearch/elasticsearch-1.7.4.ebuild | 71 +++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/app-misc/elasticsearch/Manifest b/app-misc/elasticsearch/Manifest
index 8b453e2..257966c 100644
--- a/app-misc/elasticsearch/Manifest
+++ b/app-misc/elasticsearch/Manifest
@@ -1,3 +1,4 @@
 DIST elasticsearch-1.7.3.tar.gz 28510917 SHA256 af517611493374cfb2daa8897ae17e63e2efea4d0377d316baa351c1776a2bca SHA512 0cb6b2ebd77c3d1467f6a22f845bfbf9f4a7c9c9ddedae17aeb6bd2d2bc576171fc80e3a4963e7b890af574e9fd0b0faa152e7f2671a74254826e14fe2554c9f WHIRLPOOL c86de3076389a9b95cf4d424673edb3c3b1dae0b4470b18b15a5f2e9bde6669a61b8ffd5cc3f7fc3b52f99441915a84b0396a5673ebbc12fec0d83eb41a03c74
+DIST elasticsearch-1.7.4.tar.gz 28510433 SHA256 395f3417c26a6b36125f6a062c1129b454a961efea09151c692adc63562e5a94 SHA512 7a31c274a833d0f27dbfd54ce6c8d8f6d01562289e1c4c9258a7c338f3e4ecc9d842d2a5c0c804f333f9cdf9dcfec437640fb4a4e5cfdda3fa958bdb7a402022 WHIRLPOOL 0acff3f5b8047c2647b716d57255e7f884f06ea57e468c784e1a84742b47973570d175a723a4341c54a027b9a442c89e9bed2f66bb29c292d6c59ca40ffb3855
 DIST elasticsearch-2.1.0.tar.gz 28994631 SHA256 8a4e85bcb506daa369651506af1cbc55c09fd7ff387d111142ae14d0a85d4d14 SHA512 207f35c94c65dcc57e75479e0dbb9127598ea3d9fcc04c1181bf82ebf1022a4431239a0f49803ab53b7bed5152b719e99f8e0395c9b80168567148ae13281ad3 WHIRLPOOL 006a763bbfd8d1600d152a4f80fb05aa92cdf3c223cc59a6368d69ab85bc6e60ffaa84a1d888eff76270834ff407f5d5f71bdf43fb286f8cbe056170e1573272
 DIST elasticsearch-2.1.1.tar.gz 29007342 SHA256 ebd69c0483f20ba7e51caa9606d4e3ce5fe2667e1216c799f0cdbb815c317ce6 SHA512 eff12cd7342dc0036dc88f03ced9c7cc90d284222efeca86adfd9e4cf254cb8f96105c58673b239cfc9eb9764a2a669d2cd171ca73eb43b1ec1470a13c5e1776 WHIRLPOOL 2b0e069d162ee07eddc90d879d4ce5dd2cef9e4a804a9aaeb3d99e5d532f583589e2c6a36b5e856bf19a610f220eea6aaa75d28e7b6687b60eab7bf83b2def51

diff --git a/app-misc/elasticsearch/elasticsearch-1.7.4.ebuild b/app-misc/elasticsearch/elasticsearch-1.7.4.ebuild
new file mode 100644
index 0000000..1ad3bf3
--- /dev/null
+++ b/app-misc/elasticsearch/elasticsearch-1.7.4.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils systemd user
+
+MY_PN="${PN%-bin}"
+DESCRIPTION="Open Source, Distributed, RESTful, Search Engine"
+HOMEPAGE="https://www.elastic.co/products/elasticsearch"
+SRC_URI="https://download.elastic.co/${MY_PN}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RESTRICT="strip"
+QA_PREBUILT="usr/share/elasticsearch/lib/sigar/libsigar-*.so"
+
+RDEPEND="|| ( virtual/jre:1.7 virtual/jre:1.8 )"
+
+pkg_setup() {
+	enewgroup ${MY_PN}
+	enewuser ${MY_PN} -1 /bin/bash /var/lib/${MY_PN} ${MY_PN}
+}
+
+src_prepare() {
+	rm -rf lib/sigar/*{solaris,winnt,freebsd,macosx}*
+	rm -rf bin/*.{bat,exe}
+	rm lib/sigar/libsigar-ia64-linux.so
+	rm LICENSE.txt
+
+	use amd64 && {
+		rm lib/sigar/libsigar-x86-linux.so
+	}
+
+	use x86 && {
+		rm lib/sigar/libsigar-amd64-linux.so
+	}
+}
+
+src_install() {
+	dodir /etc/${MY_PN}
+
+	insinto /usr/share/doc/${P}/examples
+	doins config/*
+	rm -rf config
+
+	insinto /usr/share/${MY_PN}
+	doins -r ./*
+	chmod +x "${D}"/usr/share/${MY_PN}/bin/*
+
+	keepdir /var/{lib,log}/${MY_PN}
+
+	newinitd "${FILESDIR}/elasticsearch.init4" "${MY_PN}"
+	newconfd "${FILESDIR}/${MY_PN}.conf" "${MY_PN}"
+	systemd_newunit "${FILESDIR}"/${PN}.service4 "${PN}.service"
+}
+
+pkg_postinst() {
+	elog
+	elog "You may create multiple instances of ${MY_PN} by"
+	elog "symlinking the init script:"
+	elog "ln -sf /etc/init.d/${MY_PN} /etc/init.d/${MY_PN}.instance"
+	elog
+	elog "Each of the example files in /usr/share/doc/${P}/examples"
+	elog "should be extracted to the proper configuration directory:"
+	elog "/etc/${MY_PN} (for standard init)"
+	elog "/etc/${MY_PN}/instance (for symlinked init)"
+	elog
+}


             reply	other threads:[~2016-01-08 10:35 UTC|newest]

Thread overview: 176+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-01-08 10:35 Patrick Lauer [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-24  6:31 [gentoo-commits] repo/gentoo:master commit in: app-misc/elasticsearch/ Matt Jolly
2024-09-24  6:31 Matt Jolly
2024-07-14 11:15 Matt Jolly
2024-07-14 11:15 Matt Jolly
2024-06-29 15:31 Matt Jolly
2024-06-24  6:25 Matt Jolly
2024-06-24  6:25 Matt Jolly
2024-03-10  1:35 Matt Jolly
2024-03-10  1:35 Matt Jolly
2024-02-14 15:45 Matt Jolly
2024-02-14 15:45 Matt Jolly
2024-01-20 13:33 Sam James
2024-01-20 13:33 Sam James
2024-01-20 12:51 Sam James
2023-11-25  3:59 Sam James
2023-11-25  3:59 Sam James
2023-11-25  3:59 Sam James
2023-10-12  6:23 Sam James
2023-10-12  6:23 Sam James
2023-09-18  7:40 Sam James
2023-09-18  7:40 Sam James
2023-09-16  7:57 Joonas Niilola
2023-05-27  7:49 Joonas Niilola
2023-05-17  1:38 Sam James
2023-05-17  1:38 Sam James
2023-03-11 16:26 Sam James
2023-02-20 23:52 John Helmert III
2023-02-20 23:52 John Helmert III
2023-02-20 23:52 John Helmert III
2023-01-08  3:37 Sam James
2022-12-03 11:07 Sam James
2022-12-03 11:07 Sam James
2022-09-21  0:12 Sam James
2022-09-21  0:12 Sam James
2022-08-26  7:44 Sam James
2022-08-26  7:44 Sam James
2022-07-15  8:38 Joonas Niilola
2022-06-21  7:25 Joonas Niilola
2022-06-04  2:19 Sam James
2022-06-04  2:19 Sam James
2022-06-04  2:19 Sam James
2022-05-26 12:58 Joonas Niilola
2022-04-24  7:58 Joonas Niilola
2022-04-24  7:58 Joonas Niilola
2022-03-16 22:35 Sam James
2022-01-28  8:36 Sam James
2022-01-28  8:36 Sam James
2021-12-21  1:56 Sam James
2021-12-14  1:19 Sam James
2021-11-11 23:49 Sam James
2021-10-15  7:19 Joonas Niilola
2021-10-04 12:51 Joonas Niilola
2021-10-04 12:51 Joonas Niilola
2021-10-04 12:51 Joonas Niilola
2021-10-04 12:51 Joonas Niilola
2021-10-02 12:46 Joonas Niilola
2021-07-31 10:03 Joonas Niilola
2021-07-31 10:03 Joonas Niilola
2021-07-30 22:55 David Seifert
2021-06-16  9:50 Thomas Deutschmann
2021-06-16  9:50 Thomas Deutschmann
2021-05-31  8:20 Sam James
2021-05-11 15:47 Thomas Deutschmann
2021-05-04 22:17 Sam James
2021-03-30  7:25 Joonas Niilola
2021-03-30  7:25 Joonas Niilola
2021-03-22 14:05 Joonas Niilola
2021-03-22 14:05 Joonas Niilola
2021-01-21 23:23 Sam James
2020-11-14  9:49 Mikle Kolyada
2020-11-14  9:49 Mikle Kolyada
2020-10-16 13:26 Joonas Niilola
2020-09-12 18:39 Thomas Deutschmann
2020-08-30 21:46 Thomas Deutschmann
2020-07-30 18:17 Thomas Deutschmann
2020-07-30 18:17 Thomas Deutschmann
2020-07-30 18:17 Thomas Deutschmann
2020-06-26 23:00 Thomas Deutschmann
2020-06-12 14:33 Thomas Deutschmann
2020-04-13  8:31 Joonas Niilola
2020-04-13  8:31 Joonas Niilola
2020-03-20 14:30 Joonas Niilola
2020-03-20 14:30 Joonas Niilola
2020-03-20 14:30 Joonas Niilola
2020-02-26 16:17 Joonas Niilola
2020-01-03  9:15 Joonas Niilola
2019-10-29  6:53 Joonas Niilola
2019-10-29  6:53 Joonas Niilola
2019-10-29  6:53 Joonas Niilola
2019-09-21 14:49 Joonas Niilola
2019-09-21 14:49 Joonas Niilola
2019-07-16 15:44 Michał Górny
2019-07-02  9:57 Manuel Rüger
2019-07-02  9:57 Manuel Rüger
2019-05-08 22:56 Andreas Sturmlechner
2019-04-25 12:00 Manuel Rüger
2019-04-25 12:00 Manuel Rüger
2019-03-04 15:58 Thomas Deutschmann
2019-03-04 15:58 Thomas Deutschmann
2019-03-04 15:58 Thomas Deutschmann
2019-01-17 19:32 Mikle Kolyada
2019-01-17 19:32 Mikle Kolyada
2018-12-22  7:08 Mikle Kolyada
2018-12-22  7:08 Mikle Kolyada
2018-12-15  9:02 Mikle Kolyada
2018-12-15  9:02 Mikle Kolyada
2018-12-04 15:27 Mikle Kolyada
2018-11-10 20:57 Thomas Deutschmann
2018-11-10 20:57 Thomas Deutschmann
2018-11-10 20:57 Thomas Deutschmann
2018-10-02  9:40 Thomas Deutschmann
2018-10-02  9:40 Thomas Deutschmann
2018-10-02  9:40 Thomas Deutschmann
2018-09-13 15:34 Thomas Deutschmann
2018-09-09 20:41 Thomas Deutschmann
2018-09-09 20:41 Thomas Deutschmann
2018-09-09 20:41 Thomas Deutschmann
2018-08-05 13:57 Manuel Rüger
2018-07-16 13:44 Tony Vroon
2018-07-11 14:32 Manuel Rüger
2018-07-11 14:32 Manuel Rüger
2018-05-12 17:45 Michał Górny
2018-05-12 17:45 Michał Górny
2018-05-12 17:45 Michał Górny
2018-04-03 22:15 Marc Schiffbauer
2018-04-03 22:14 Marc Schiffbauer
2018-01-31 21:56 Michał Górny
2018-01-31 21:56 Michał Górny
2018-01-08 11:08 Tony Vroon
2017-12-12 20:27 Patrice Clement
2017-12-12 20:27 Patrice Clement
2017-11-16 16:05 Amy Liffey
2017-11-16 16:05 Amy Liffey
2017-10-20  7:45 Patrice Clement
2017-10-20  7:45 Patrice Clement
2017-09-30  8:05 Patrice Clement
2017-09-30  8:05 Patrice Clement
2017-09-21 15:05 Amy Liffey
2017-08-29 17:40 Guilherme Amadio
2017-08-28 14:11 Patrice Clement
2017-08-26  7:09 Patrice Clement
2017-08-26  7:09 Patrice Clement
2017-08-26  7:09 Patrice Clement
2017-08-09 20:57 Patrice Clement
2017-07-08 21:35 Patrice Clement
2017-06-04 17:52 Michał Górny
2017-05-23 19:58 Michał Górny
2017-05-19 10:52 Michał Górny
2017-05-19 10:52 Michał Górny
2017-05-18 22:25 Michał Górny
2017-05-17 16:37 Patrick Lauer
2017-05-11  8:26 Michał Górny
2017-01-15 17:37 Göktürk Yüksek
2017-01-15 17:37 Göktürk Yüksek
2017-01-05 16:30 Göktürk Yüksek
2016-11-28 11:07 Patrick Lauer
2016-10-28 19:25 Patrick Lauer
2016-10-15  9:25 Patrick Lauer
2016-10-02 12:59 Göktürk Yüksek
2016-10-01 19:05 Patrick Lauer
2016-10-01 19:05 Patrick Lauer
2016-09-02  5:26 Patrick Lauer
2016-09-01 14:14 Patrick Lauer
2016-07-11  9:24 Patrick Lauer
2016-05-25  9:21 Patrick Lauer
2016-04-19 15:30 Patrick Lauer
2016-04-01  8:49 Patrick Lauer
2016-04-01  8:21 Patrick Lauer
2016-02-05 11:51 Patrick Lauer
2016-02-05 11:51 Patrick Lauer
2016-01-06  8:59 Patrick Lauer
2015-12-20 10:59 Ian Delaney
2015-12-16 10:56 Ian Delaney
2015-12-16 10:56 Ian Delaney
2015-11-05  5:01 Ian Delaney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1452249259.f2563ea7df05ddc6042cb613114ee2b5277634dd.patrick@gentoo \
    --to=patrick@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox